<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_TransferElements StructType
 * @subpackage Structs
 */
class JP_TransferElements extends AbstractStructBase
{
    /**
     * The TransferElement
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferElement
     */
    public $TransferElement;
    /**
     * Constructor method for JP_TransferElements
     * @uses JP_TransferElements::setTransferElement()
     * @param \StructType\JP_TransferElement $transferElement
     */
    public function __construct(\StructType\JP_TransferElement $transferElement = null)
    {
        $this
            ->setTransferElement($transferElement);
    }
    /**
     * Get TransferElement value
     * @return \StructType\JP_TransferElement|null
     */
    public function getTransferElement()
    {
        return $this->TransferElement;
    }
    /**
     * Set TransferElement value
     * @param \StructType\JP_TransferElement $transferElement
     * @return \StructType\JP_TransferElements
     */
    public function setTransferElement(\StructType\JP_TransferElement $transferElement = null)
    {
        $this->TransferElement = $transferElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_TransferElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
